%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name Glob
%define f_pkg_name glob
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.6.1
Release: alt1
License: BSD3
Packager: Denis Smirnov <mithraen@altlinux.ru>
Group: Development/Haskell
URL: http://iki.fi/matti.niemenmaa/glob/
Source: %name-%version.tar
Summary: Globbing library
# Automatically added by buildreq on Mon Oct 17 2011 (-bb)
# optimized out: elfutils ghc libgmp-devel pkg-config python-base
BuildRequires: ghc-alex ghc-c2hs ghc-dlist ghc-happy ghc-prof ghc-transformers rpm-build-haskell

BuildRequires: ghc 
BuildRequires(pre): rpm-build-haskell



%description
A library for globbing: matching patterns against file paths. 

%prep
%setup

%build
%hs_configure2
%hs_build

%install
%hs_install
%hs_gen_filelist

cd %buildroot%_datadir/doc/%name-%version
rm -rf doc LICENSE examples

%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
#%%doc LICENSE examples

%changelog
* Mon Oct 17 2011 Denis Smirnov <mithraen@altlinux.ru> 0.6.1-alt1
- Spec created by cabal2rpm 0.20_08
